Subject: Synopsis on draft-eastlake-rfc2777bis-slection-01.txt discussion

From: avri <[email-masked]>
Date: Thu, 07 Nov 2002 16:50:26 +0100

A while back there was a discussion on
http://www.ietf.org/internet-drafts/draft-eastlake-rfc2777bis-selection-01.txt
on this list

The following is my interpretation of what was said
(the actual email can be found in the archives for August 02
http://lists.elistx.com/archives/ietf-nomcom/200208/.)

1. While the document might be ok as an individual submission,
it does contain process information that might be more
appropriate, if approved, in the base nomcom document.

- since the document was Informational before there
is no reason to change that status

- the procedure for picking alternates should be removed
and put into the base document.

2. a contradictory position, each stated by one person, on
whether the practice should be optional or not:

- the procedure described is rather mechanistic and
should remain optional

- the procedure is reproducible and its results are
verifiable and thus it should be formalized as practice.

3. Since the document contains code, the code should be
verified ( I believe it is).

---

So, from the very small conversation, I suggest the following
draft WG position on the draft.

1. The draft should be changed to remove the discussion on
picking alternates (section 5.2).

2. A statement of the code having been verified should be made.

3. The draft should then be considered for Informational status
as an individual contribution.

The other issues of

- whether this procedure should be required
is discussed in the base draft 4.17 of
http://www.ietf.org/internet-drafts/draft-ietf-nomcom-rfc2727bis-02.txt
where the use of RFC2777 is presented as an option.
While not requiring this process, the text
reads as requiring a mechanistic process.

At the moment, there is not sufficient call for changing that
text.  Also, to make this procedure a requirement would
involve making 2777bis a normative document as opposed to it
being an informational document.  This is not, as I  understand
it, the recommendation of the WG at this time.  I am not even
sure that it is what was meant by making it a formalized
practice.

- choosing alternates is covered in 4.18 of the current base draft.

Please respond to this list before 21 Nov if you have any
comments on this WG position on the draft.

thanks
a.
-- 
Avri Doria
http://www.sm.luth.se/~avri/

---

From: Donald Eastlake 3rd <[email-masked]>
Date: Mon, 11 Nov 2002 23:09:21 -0500 (EST)

On Thu, 7 Nov 2002, avri wrote:

> Date: Thu, 07 Nov 2002 16:50:26 +0100
> From: avri <[email-masked]>
> To: ietf-nomcom <[email-masked]>
> Subject: Synopsis on  draft-eastlake-rfc2777bis-slection-01.txt discussion
> 

I never particularly wanted it to be other than Informational. I'm happy
to remove stuff from 5.2 that has been effecitvely moved to the 2727bis
draft.

> verified ( I believe it is).

As far as I know, its run every year...although I guess there are some 
changes.

> picking alternates (section 5.2).

It's too late for this IETF meeting but I could do that right
afterwards.

> 2. A statement of the code having been verified should be made.

I've certainly compiled and run it.

> as an individual contribution.

I had submitted it to the IESG and Harald was ready to review it when I
asked him to wait for 2727bis. It would be nice if they came out more or
less at the same time so they could refer to each other.

> comments on this WG position on the draft.

Thanks,
Donald
======================================================================
 Donald E. Eastlake 3rd                       [email-masked]
 155 Beaver Street              +1-508-634-2066(h) +1-508-851-8280(w)
 Milford, MA 01757 USA                   [email-masked]